Bug 1353378 - openwsman-python is missing in osp9-director repository
Summary: openwsman-python is missing in osp9-director repository
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openwsman
Version: 9.0 (Mitaka)
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ga
: 9.0 (Mitaka)
Assignee: Jon Schlueter
QA Contact: Omri Hochman
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-07 00:16 UTC by Gonéri Le Bouder
Modified: 2016-08-11 11:35 UTC (History)
10 users (show)

Fixed In Version: openwsman-2.3.6-13.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-11 11:35:42 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2016:1599 normal SHIPPED_LIVE Red Hat OpenStack Platform 9 director Release Candidate Advisory 2016-08-11 15:25:37 UTC

Description Gonéri Le Bouder 2016-07-07 00:16:54 UTC
Description of problem:



Undercloud deployment fails because openwsman-python is not available. This package used to in the osp8-director repository.

Error: Execution of '/bin/yum -d 0 -e 0 -y list openwsman-python' returned 1: Error: No matching Packages to list
Error: /Stage[main]/Main/Package[openwsman-python]/ensure: change from absent to present failed: Execution of '/bin/yum -d 0 -e 0 -y list openwsman-python' returned 1: Error: No matching Packages to list


How reproducible:

Enable the following puddles on a regular RHEL7.2 and try to deploy an undercloud:
- OSP-9.0 2016-07-04.2
- OSP-9.0-director 2016-07-05.1

Comment 5 Omri Hochman 2016-07-26 20:45:52 UTC
Verified:  

osp-director (puddle from: 9.0-director 2016-07-26.4) 

==============================================================================================================================================================================================
 Package                                       Arch                                Version                                     Repository                                                Size
==============================================================================================================================================================================================
Installing:
 openwsman-python                              x86_64                              2.3.6-13.el7                                rhelosp-8.0-director-poodle                              103 k
Installing for dependencies:
 libwsman1                                     x86_64                              2.3.6-13.el7                                rhelosp-8.0-director-poodle                              124 k

Transaction Summary
=========================================================================================================================================================

[stack@undercloud72 ~]$ yum provides openwsman-python
Loaded plugins: search-disabled-repos
openwsman-python-2.3.6-13.el7.x86_64 : Python bindings for openwsman client API
Repo        : rhelosp-7.0-director-puddle



openwsman-python-2.3.6-13.el7.x86_64 : Python bindings for openwsman client API
Repo        : rhelosp-8.0-director-puddle



openwsman-python-2.3.6-13.el7.x86_64 : Python bindings for openwsman client API
Repo        : rhelosp-9.0-director-poodle



openwsman-python-2.3.6-13.el7.x86_64 : Python bindings for openwsman client API
Repo        : rhelosp-rhel-7.2-z



openwsman-python-2.3.6-13.el7.x86_64 : Python bindings for openwsman client API
Repo        : @rhelosp-7.0-director-puddle

Comment 7 errata-xmlrpc 2016-08-11 11:35:42 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2016-1599.html


Note You need to log in before you can comment on or make changes to this bug.